## python-certbot 0.27.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LetsEncrypt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LetsEncrypt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LetsEncrypt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LetsEncrypt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-certbot 0.8.0

=== debian/changelog ===
python-certbot (0.8.0-1) unstable; urgency=high

  * New upstream release. (Closes: #824452)
  * Bump python-psutil dependency.
  * Add Suggests for -doc. (Closes: #825598)
  * Fix cron file to run only twice. (Closes: #825732)
  * Add transitional dummy for letsencrypt. (Closes: #826010)
  * Remove manpage patch no longer needed.
  * Refresh patches.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 02 Jun 2016 20:09:02 -0400

python-certbot (0.6.0-2) unstable; urgency=medium

  * Fix major bug in crontab file. (Closes: #824709)
  * Fix homepage to point to new location. (Thanks, Axel!)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 18 May 2016 21:06:12 -0400

python-certbot (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Migrate package to the certbot name.
  * Require parsedatetime >= 1.3 (Closes: #818587)
  * Update d/watch with new name.
  * Refresh patches.
  * Add cronjob to automatically renew certificates.
  * Ship symlink from old letsencrypt binary.
  * Switch Breaks for -apache to the certbot name.
  * Reword short descriptions
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 14 May 2016 16:45:44 -0400

python-letsencrypt (0.5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #820721)
  * Change my email address
  * Add version constraint on python-setuptools
  * Clean up after build properly (Closes: #818667)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 13 Apr 2016 19:04:44 -0400

python-letsencrypt (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Match version restriction on python-parsedatetime
  * Bump S-V; no changes needed
  * Fix Vcs-git URL

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Mon, 29 Feb 2016 21:22:32 -0500

python-letsencrypt (0.4.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #813689)
  * Ship the upstream tests and testdata. (Closes: #814010)

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 11 Feb 2016 20:54:43 -0500

python-letsencrypt (0.3.0-1) unstable; urgency=medium

  * New upstream version.  (Closes: #812223)
  * Switch Vcs-git to https.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 28 Jan 2016 19:09:44 -0500

python-letsencrypt (0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Delete config and log directories on purge (closes: #809355)
  * Drop priority to extra due to transitive dep on python-mock.
  * Drop dep on pyopenssl to 0.13, include dep version for configargparse.
  * Drop permission-failures patch applied upstream.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Fri, 15 Jan 2016 19:21:56 -0500

python-letsencrypt (0.1.1-3) unstable; urgency=medium

  * New version to fix FTBFS.  (Closes: #808361)

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 22 Dec 2015 23:06:12 -0500

python-letsencrypt (0.1.1-2) unstable; urgency=medium

  * Dynamically generate d/control.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 19 Dec 2015 17:50:38 -0500

python-letsencrypt (0.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 15 Dec 2015 21:41:01 -0500

python-letsencrypt (0.1.0-2) unstable; urgency=medium

  * First release for sid.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 10 Dec 2015 23:33:21 -0500

python-letsencrypt (0.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Switch PGP key to new upstream key.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 03 Dec 2015 21:24:59 -0500

python-letsencrypt (0.0.0.dev20151123-2) experimental; urgency=medium

  * Alter dependency to solve unsatisfiable dependency. (Closes: #805738)

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 01 Dec 2015 21:29:49 -0500

python-letsencrypt (0.0.0.dev20151123-1) experimental; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sun, 29 Nov 2015 23:39:15 -0500

python-letsencrypt (0.0.0.dev20151114-3) experimental; urgency=medium

  * Fix documentation errors due to path errors. (Closes: #805262)

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Fri, 20 Nov 2015 21:19:21 -0500

python-letsencrypt (0.0.0.dev20151114-2) experimental; urgency=medium

  * Version dependency of letsencrypt on python-letsencrypt (closes: #805185)
  * Add python-acme dependency on python-letsencrypt (closes: #805186)

 -- Francois Marier <francois@debian.org>  Sun, 15 Nov 2015 10:07:50 -0800

python-letsencrypt (0.0.0.dev20151114-1) experimental; urgency=medium

  [ Francois Marier ]
  * Bump the python-sphinx dependency to >= 1.3.1-1 to ensure that
    python-sphinx-rtd-theme is pulled in.

  [ Harlan Lieberman-Berg ]
  * New upstream release. (Closes: #805049)
  * Alter version of python-sphinx for backports compatibility.
  * Update dependency versions to match setup.py

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 14 Nov 2015 12:26:04 -0500

python-letsencrypt (0.0.0.dev20151104-1) experimental; urgency=medium

  * Initial release. (Closes: #774387)

 -- Francois Marier <francois@debian.org>  Wed, 11 Nov 2015 18:49:07 -0800

=== debian/control ===
Source: python-certbot
Section: python
Priority: extra
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dialog,
               python-acme (>= 0.8.0~),
               python-all (>= 2.6.6.3~),
               python-configargparse (>= 0.10.0),
               python-configobj,
               python-cryptography (>= 0.7),
               python-dialog (>= 3.2.2rc1),
               python-docutils,
               python-mock,
               python-openssl (>= 0.13),
               python-parsedatetime (>= 1.3),
               python-psutil (>= 2.2.1),
               python-repoze.sphinx.autointerface,
               python-requests,
               python-rfc3339,
               python-setuptools (>= 1.0),
               python-six,
               python-sphinx (>= 1.3.1-1~),
               python-sphinxcontrib.programoutput,
               python-tz,
               python-zope.component,
               python-zope.interface
Standards-Version: 3.9.8
Homepage: https://certbot.eff.org/
Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-letsencrypt.git
Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-letsencrypt.git/
X-Python-Version: >= 2.7

Package: python-certbot
Architecture: all
Depends: python-acme (>= 0.8.0),
	 ${misc:Depends},
	 ${python:Depends}
Recommends: letsencrypt
Suggests: python-certbot-doc
Breaks: python-certbot-apache (<< 0.8.0),
        python-letsencrypt (<= 0.6.0)
Replaces: python-letsencrypt
Description: main library for certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main libraries.

Package: certbot
Section: web
Architecture: all
Depends: dialog,
         python-certbot (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: letsencrypt (<= 0.6.0)
Replaces: letsencrypt
Provides: letsencrypt
Suggests: python-certbot-apache, python-certbot-doc
Description: automatically configure HTTPS using Let's Encrypt
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main application, including the standalone
 and the manual authenticators.

Package: python-certbot-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: client documentation for certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the documentation.

Package: letsencrypt
Section: oldlibs
Architecture: all
Depends: certbot, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package for the rename of letsencrypt to certbot.
 It can safely be removed.

## python-certbot 0.8.1

=== debian/changelog ===
python-certbot (0.8.1-2) unstable; urgency=medium

  * Ship new crontab, fixing errors when using apache plugin

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 07 Jul 2016 21:11:59 -0400

python-certbot (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Add pydist-overrides to copy version deps.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 26 Jun 2016 20:55:52 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9~),
                dh-python,
                dialog,
-               python-acme (>= 0.8.0~),
+               python-acme (>= 0.8.1~),
                python-all (>= 2.6.6.3~),
                python-configargparse (>= 0.10.0),
                python-configobj,
@@ -24,6 +24,7 @@
                python-setuptools (>= 1.0),
                python-six,
                python-sphinx (>= 1.3.1-1~),
+	       python-sphinx-rtd-theme,
                python-sphinxcontrib.programoutput,
                python-tz,
                python-zope.component,
@@ -36,12 +37,12 @@
 
 Package: python-certbot
 Architecture: all
-Depends: python-acme (>= 0.8.0),
+Depends: python-acme (>= 0.8.1),
 	 ${misc:Depends},
 	 ${python:Depends}
 Recommends: letsencrypt
 Suggests: python-certbot-doc
-Breaks: python-certbot-apache (<< 0.8.0),
+Breaks: python-certbot-apache (<< 0.8.1),
         python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
 Description: main library for certbot

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_clean: debian/control
	dh_clean

debian/control: debian/control.in debian/changelog
	sed -e 's/###UPSTREAM_VERSION###/$(DEB_VERSION_UPSTREAM)/g' < debian/control.in > debian/control

override_dh_install:
	mkdir -p debian/certbot/usr/bin
	mv debian/python-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python-certbot/usr/bin
	PYTHONPATH=. PATH=../debian/certbot/usr/bin:${PATH} \
		http_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. PATH=../debian/certbot/usr/bin:${PATH} \
		http_proxy='127.0.0.1:9' \
		sphinx-build -N -bman docs/ build/man
	chmod -x debian/python-certbot/usr/lib/python2.7/dist-packages/certbot/tests/testdata/sample-renewal*.conf

## python-certbot 0.10.2

=== debian/changelog ===
python-certbot (0.10.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 23 Apr 2017 21:46:00 -0400

python-certbot (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 26 Jan 2017 01:11:55 -0500

python-certbot (0.10.1-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Tweaks to B-D, Depends for backporting to Trusty. (Closes: #844687)

  [ Harlan Lieberman-Berg ]
  * New upstream version.
  * Update dependencies dropped by upstream, misc. cleanup
  * Remove ugly PYTHONPATH hack no longer needed, misc. cleanup
  * Pre-create /etc/letsencrypt (Closes: #845792)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 20 Jan 2017 22:19:59 -0500

python-certbot (0.9.3-1~bpo8+2) jessie-backports; urgency=medium

  * Work around jessie systemd missing RandomDeplaySecs (Closes: #843607)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 19 Jan 2017 00:12:08 -0500

python-certbot (0.9.3-1) unstable; urgency=medium

  * New upstream version. (Closes: #840995)
  * Add python-psutil to Recommends.
  * Refresh patches.
  * Add support for systemd timers (Closes: #833453)
  * Add Documentation to systemd unit service

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 22 Oct 2016 22:03:06 -0400

python-certbot (0.8.1-3) unstable; urgency=medium

  * Prevent network access at build time. (Closes: #834833)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 02 Sep 2016 18:31:14 -0400

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,25 @@
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9~),
                dh-python,
-               dialog,
-               python-acme (>= 0.8.1~),
+               dh-systemd,
+               python-acme (>= 0.10.2~),
                python-all (>= 2.6.6.3~),
                python-configargparse (>= 0.10.0),
                python-configobj,
                python-cryptography (>= 0.7),
-               python-dialog (>= 3.2.2rc1),
                python-docutils,
                python-mock,
-               python-openssl (>= 0.13),
+               python-ndg-httpsclient,
+               python-openssl (>= 16.0~),
                python-parsedatetime (>= 1.3),
                python-psutil (>= 2.2.1),
                python-repoze.sphinx.autointerface,
-               python-requests,
+               python-requests (>= 2.4.3),
                python-rfc3339,
                python-setuptools (>= 1.0),
                python-six,
-               python-sphinx (>= 1.3.1-1~),
-	       python-sphinx-rtd-theme,
-               python-sphinxcontrib.programoutput,
+               python-sphinx,
+               python-sphinx-rtd-theme,
                python-tz,
                python-zope.component,
                python-zope.interface
@@ -37,12 +36,15 @@
 
 Package: python-certbot
 Architecture: all
-Depends: python-acme (>= 0.8.1),
-	 ${misc:Depends},
-	 ${python:Depends}
-Recommends: letsencrypt
+Depends: python-acme (>= 0.10.2),
+         python-requests (>= 2.4.3),
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: certbot,
+            python-psutil (>= 2.2.1)
 Suggests: python-certbot-doc
-Breaks: python-certbot-apache (<< 0.8.1),
+Breaks: python-certbot-apache (<< 0.10.2),
+	python-certbot-nginx (<< 0.10.2),
         python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
 Description: main library for certbot
@@ -65,14 +67,14 @@
 Package: certbot
 Section: web
 Architecture: all
-Depends: dialog,
-         python-certbot (= ${source:Version}),
+Depends: python-certbot (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
 Breaks: letsencrypt (<= 0.6.0)
 Replaces: letsencrypt
 Provides: letsencrypt
-Suggests: python-certbot-apache, python-certbot-doc
+Suggests: python-certbot-apache,
+          python-certbot-doc
 Description: automatically configure HTTPS using Let's Encrypt
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible
@@ -94,7 +96,8 @@
 Package: python-certbot-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: client documentation for certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible
@@ -115,7 +118,8 @@
 Package: letsencrypt
 Section: oldlibs
 Architecture: all
-Depends: certbot, ${misc:Depends}
+Depends: certbot,
+         ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package for the rename of letsencrypt to certbot.
  It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python2,sphinxdoc,systemd --buildsystem=pybuild

override_dh_clean: debian/control
	dh_clean

debian/control: debian/control.in debian/changelog
	sed -e 's/###UPSTREAM_VERSION###/$(DEB_VERSION_UPSTREAM)/g' < debian/control.in > debian/control

override_dh_install:
	mkdir -p debian/certbot/usr/bin
	mv debian/python-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python-certbot/usr/bin
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:8' \
		sphinx-build -N -bman docs/ build/man
	install -D --mode=644 --target-directory=debian/certbot/lib/systemd/system debian/certbot.timer

override_dh_auto_test:
	no_proxy="localhost" dh_auto_test

override_dh_systemd_enable:
	dh_systemd_enable --package=certbot certbot.timer

override_dh_systemd_start:
	dh_systemd_start --package=certbot certbot.timer
	dh_systemd_start --package=certbot --no-start certbot.service

override_dh_installinit:

## python-certbot 0.14.2

=== debian/changelog ===
python-certbot (0.14.2-0ubuntu0.17.04.1) zesty; urgency=medium

  * Backport to Zesty (LP: #1640978).
  * d/control.in: drop unnecessarily versioned build dependencies.
  * d/control.in: use dh-systemd when building with older debhelpers.
  * This stable release update adds automatic certificate renewal using
    a systemd timer unit or via cron if systemd is not in use. See LP
    1640978 for details.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 08 Aug 2017 19:26:50 +0100

python-certbot (0.14.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 26 May 2017 12:51:44 +0100

python-certbot (0.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python-ipdb as build dependency.
  * Drop unnecessary dependency on dh-systemd (Closes: #856239)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 21 Mar 2017 23:10:14 -0400

python-certbot (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Add .pc to gitignore
  * Drop python-psutil dep no longer needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 19 Feb 2017 14:05:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: python-certbot
 Section: python
 Priority: extra
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9.20160709~) | dh-systemd,
+               debhelper (>= 9~),
                dh-python,
-               dh-systemd,
-               python-acme (>= 0.10.2~),
+               python-acme (>= 0.14.2~),
                python-all (>= 2.6.6.3~),
                python-configargparse (>= 0.10.0),
                python-configobj,
                python-cryptography (>= 0.7),
                python-docutils,
+	       python-ipdb,
                python-mock,
-               python-ndg-httpsclient,
-               python-openssl (>= 16.0~),
+               python-openssl,
                python-parsedatetime (>= 1.3),
-               python-psutil (>= 2.2.1),
                python-repoze.sphinx.autointerface,
                python-requests (>= 2.4.3),
                python-rfc3339,
@@ -36,15 +36,14 @@
 
 Package: python-certbot
 Architecture: all
-Depends: python-acme (>= 0.10.2),
+Depends: python-acme (>= 0.14.2),
          python-requests (>= 2.4.3),
          ${misc:Depends},
          ${python:Depends}
-Recommends: certbot,
-            python-psutil (>= 2.2.1)
+Recommends: certbot
 Suggests: python-certbot-doc
-Breaks: python-certbot-apache (<< 0.10.2),
-	python-certbot-nginx (<< 0.10.2),
+Breaks: python-certbot-apache (<< 0.14.2),
+	python-certbot-nginx (<< 0.14.2),
         python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
 Description: main library for certbot

## python-certbot 0.17.0

=== debian/changelog ===
python-certbot (0.17.0-2) unstable; urgency=high

  * Revert d/rules for systemd cleanup. (Closes: #872090)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 14 Aug 2017 22:28:10 -0400

python-certbot (0.17.0-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control: rename git repository to python-certbot too

  [ Harlan Lieberman-Berg ]
  * New upstream version 0.17.0
  * Bump S-V to 4.0.1, changing Priority to optional.
  * Bump B-D on python-cryptography
  * Add very basic autopkgtest.
  * Refresh patches.
  * Fix merge failure.
  * Tweak d/rules for systemd cleanup, raise compat to 10.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 06 Aug 2017 17:49:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: python-certbot
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9.20160709~) | dh-systemd,
                debhelper (>= 9~),
                dh-python,
-               python-acme (>= 0.14.2~),
+               python-acme (>= 0.17.0~),
                python-all (>= 2.6.6.3~),
                python-configargparse (>= 0.10.0),
                python-configobj,
-               python-cryptography (>= 0.7),
+               python-cryptography (>= 1.2),
                python-docutils,
-	       python-ipdb,
+               python-ipdb,
                python-mock,
-               python-openssl,
+               python-openssl (>= 16.0~),
                python-parsedatetime (>= 1.3),
                python-repoze.sphinx.autointerface,
                python-requests (>= 2.4.3),
@@ -28,22 +27,23 @@
                python-tz,
                python-zope.component,
                python-zope.interface
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://certbot.eff.org/
-Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-letsencrypt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/letsencrypt/python-letsencrypt.git/
+Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-certbot.git
+Vcs-Browser: https://anonscm.debian.org/git/letsencrypt/python-certbot.git
 X-Python-Version: >= 2.7
+Testsuite: autopkgtest-pkg-python
 
 Package: python-certbot
 Architecture: all
-Depends: python-acme (>= 0.14.2),
+Depends: python-acme (>= 0.17.0),
          python-requests (>= 2.4.3),
          ${misc:Depends},
          ${python:Depends}
 Recommends: certbot
 Suggests: python-certbot-doc
-Breaks: python-certbot-apache (<< 0.14.2),
-	python-certbot-nginx (<< 0.14.2),
+Breaks: python-certbot-apache (<< 0.17.0),
+	python-certbot-nginx (<< 0.17.0),
         python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
 Description: main library for certbot

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 		sphinx-build -N -bman docs/ build/man
 	install -D --mode=644 --target-directory=debian/certbot/lib/systemd/system debian/certbot.timer
 
-override_dh_auto_test:
-	no_proxy="localhost" dh_auto_test
-
 override_dh_systemd_enable:
 	dh_systemd_enable --package=certbot certbot.timer

## python-certbot 0.19.0

=== debian/changelog ===
python-certbot (0.19.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 13 Oct 2017 09:23:17 -0400

python-certbot (0.19.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #838548)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 04 Oct 2017 19:39:01 -0400

python-certbot (0.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V; no changes needed.
  * Switch from python-sphinx to python3-sphinx

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 01 Oct 2017 18:44:11 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9.20160709~) | dh-systemd,
                debhelper (>= 9~),
                dh-python,
-               python-acme (>= 0.17.0~),
+               python-acme (>= 0.19.0~),
                python-all (>= 2.6.6.3~),
                python-configargparse (>= 0.10.0),
                python-configobj,
@@ -17,17 +17,17 @@
                python-mock,
                python-openssl (>= 16.0~),
                python-parsedatetime (>= 1.3),
-               python-repoze.sphinx.autointerface,
                python-requests (>= 2.4.3),
                python-rfc3339,
                python-setuptools (>= 1.0),
                python-six,
-               python-sphinx,
-               python-sphinx-rtd-theme,
                python-tz,
                python-zope.component,
-               python-zope.interface
-Standards-Version: 4.0.1
+               python-zope.interface,
+               python3-repoze.sphinx.autointerface,
+               python3-sphinx,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.1.1
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://anonscm.debian.org/git/letsencrypt/python-certbot.git
 Vcs-Browser: https://anonscm.debian.org/git/letsencrypt/python-certbot.git
@@ -36,14 +36,14 @@
 
 Package: python-certbot
 Architecture: all
-Depends: python-acme (>= 0.17.0),
+Depends: python-acme (>= 0.19.0),
          python-requests (>= 2.4.3),
          ${misc:Depends},
          ${python:Depends}
 Recommends: certbot
 Suggests: python-certbot-doc
-Breaks: python-certbot-apache (<< 0.17.0),
-	python-certbot-nginx (<< 0.17.0),
+Breaks: python-certbot-apache (<< 0.19.0),
+	python-certbot-nginx (<< 0.19.0),
         python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
 Description: main library for certbot

## python-certbot 0.21.1

=== debian/changelog ===
python-certbot (0.21.1-1+ubuntu16.04.1+certbot+0.2) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Feb 2018 13:05:44 +0000

python-certbot (0.21.1-1) unstable; urgency=high

  * New upstream release.
  * Move d/copyright format to HTTPS

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 30 Jan 2018 21:02:48 -0500

python-certbot (0.20.0-3) unstable; urgency=medium

  * Setup logrotation for certbot log files. (Closes: #873581, #881176)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 09 Jan 2018 22:03:27 -0500

python-certbot (0.20.0-2) unstable; urgency=low

  * Add additional Breaks on py2 variants of libs.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 07 Jan 2018 22:58:45 -0500

python-certbot (0.20.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to python3!
  * Update to debhelper 11, bump S-V.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 05 Jan 2018 21:49:26 -0500

=== debian/control ===
Source: python-certbot
Section: python
Priority: optional
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
	       dh-systemd,
               python3,
               python3-acme (>= 0.21.1~),
               python3-configargparse (>= 0.10.0),
               python3-configobj,
               python3-cryptography (>= 1.2),
	       python3-josepy,
               python3-mock,
               python3-parsedatetime (>= 1.3),
               python3-repoze.sphinx.autointerface,
               python3-requests (>= 2.4.3),
               python3-rfc3339,
               python3-setuptools (>= 1.0),
               python3-tz,
               python3-zope.component,
               python3-zope.interface
Standards-Version: 4.1.3
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
Testsuite: autopkgtest-pkg-python

Package: python3-certbot
Architecture: all
Depends: python3-acme (>= 0.21.1),
         python3-ndg-httpsclient,
         python3-requests (>= 2.4.3),
         ${misc:Depends},
         ${python3:Depends}
Recommends: certbot
Suggests: python-certbot-doc
Breaks: python3-certbot-apache (<< 0.21.1),
        python3-certbot-nginx (<< 0.21.1),
        python-certbot-nginx (<< 0.20.0),
        python-certbot-apache (<< 0.20.0),
        python-letsencrypt (<= 0.6.0)
Replaces: python-letsencrypt
Description: main library for certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main libraries.

Package: certbot
Section: web
Architecture: all
Depends: python3-certbot (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Breaks: letsencrypt (<= 0.6.0)
Replaces: letsencrypt
Provides: letsencrypt
Suggests: python3-certbot-apache,
	  python3-certbot-nginx,
          python-certbot-doc
Description: automatically configure HTTPS using Let's Encrypt
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main application, including the standalone
 and the manual authenticators.

Package: letsencrypt
Section: oldlibs
Architecture: all
Depends: certbot,
         ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package for the rename of letsencrypt to certbot.
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3,systemd --buildsystem=pybuild

override_dh_clean: debian/control
	dh_clean

debian/control: debian/control.in debian/changelog
	sed -e 's/###UPSTREAM_VERSION###/$(DEB_VERSION_UPSTREAM)/g' < debian/control.in > debian/control

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	install -d --mode=0755 debian/certbot/lib/systemd/system
	install -D --mode=644 --target-directory=debian/certbot/lib/systemd/system debian/certbot.timer

override_dh_installsystemd:
	dh_installsystemd --no-start --package=certbot
	dh_installsystemd --package=certbot certbot.timer

override_dh_installinit:

.PHONY: debian/control

## python-certbot 0.23.0

=== debian/changelog ===
python-certbot (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Add testdata back in to prevent test failure in RDeps. (Closes: #894025)
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 06 Apr 2018 23:23:17 -0400

python-certbot (0.22.2-2) unstable; urgency=medium

  * Change the way we remove testdata for better downstream support
  * Add dep on python3-distutils (Closes: #893775)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 22 Mar 2018 18:53:32 -0400

python-certbot (0.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 21 Mar 2018 00:54:31 -0400

python-certbot (0.22.0-1) unstable; urgency=medium

  * New upstream release -- now with wildcards!
  * Break the strict dependency relationship between certbot packages.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 15 Mar 2018 20:22:37 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
-	       dh-systemd,
                python3,
-               python3-acme (>= 0.21.1~),
+               python3-acme (>= 0.22.0~),
                python3-configargparse (>= 0.10.0),
                python3-configobj,
                python3-cryptography (>= 1.2),
+	       python3-distutils,
 	       python3-josepy,
                python3-mock,
                python3-parsedatetime (>= 1.3),
@@ -19,10 +19,12 @@
                python3-requests (>= 2.4.3),
                python3-rfc3339,
                python3-setuptools (>= 1.0),
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
@@ -30,16 +32,13 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme (>= 0.21.1),
-         python3-ndg-httpsclient,
+Depends: python3-acme (>= 0.22.0~),
          python3-requests (>= 2.4.3),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: certbot
 Suggests: python-certbot-doc
-Breaks: python3-certbot-apache (<< 0.21.1),
-        python3-certbot-nginx (<< 0.21.1),
-        python-certbot-nginx (<< 0.20.0),
+Breaks: python-certbot-nginx (<< 0.20.0),
         python-certbot-apache (<< 0.20.0),
         python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
@@ -90,6 +89,28 @@
  This package contains the main application, including the standalone
  and the manual authenticators.
 
+Package: python-certbot-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: client documentation for certbot
+ The objective of Certbot, Let's Encrypt, and the ACME (Automated
+ Certificate Management Environment) protocol is to make it possible
+ to set up an HTTPS server and have it automatically obtain a
+ browser-trusted certificate, without any human intervention. This is
+ accomplished by running a certificate management agent on the web
+ server.
+ .
+ This agent is used to:
+ .
+   - Automatically prove to the Let's Encrypt CA that you control the website
+   - Obtain a browser-trusted certificate and set it up on your web server
+   - Keep track of when your certificate is going to expire, and renew it
+   - Help you revoke the certificate if that ever becomes necessary.
+ .
+ This package contains the documentation.
+
 Package: letsencrypt
 Section: oldlibs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -ef

export PYBUILD_NAME = certbot

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:8' \
		sphinx-build -N -bman docs/ build/man

override_dh_installsystemd:
	dh_installsystemd --no-start --package=certbot
	dh_installsystemd --package=certbot certbot.timer

override_dh_installinit:

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot -p python-certbot-doc
	dh_installdocs -p certbot -p python3-certbot -p letsencrypt

override_dh_installexamples:
	dh_installexamples --doc-main-package=python3-certbot -p python-certbot-doc
